#include <iostream>
using namespace std;
int main ()
{
    int n;
    cin>>n;
    int nezadraskani[n];
    for(int i = 0; i<n; i++)
    {
        cin>>nezadraskani[i];
    }
    for(int i = 0; i<n; i++)
    {
        if(nezadraskani[i]%2 == 0)
        {
            max(nezadraskani[i], nezadraskani[i+1]);

        }
        cout<<0<<" "<<0;
    }
    return 0;
}
